## com.baidubce.model
Class GenericAccountRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.model.GenericAccountRequest

    public class GenericAccountRequest

extends AbstractBceRequest

The generic account request.

Constructor Summary
`GenericAccountRequest()`

Method Summary
`GenericAccountRequest` `withRequestCredentials(BceCredentials credentials)`

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericAccountRequest

    public GenericAccountRequest()

Method Detail

### withRequestCredentials

    public GenericAccountRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

Copyright © 2016. All rights reserved.